Bug 75835 - Kernel panic during ISO image install from /dev/sda6
Summary: Kernel panic during ISO image install from /dev/sda6
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: i586 Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-13 15:16 UTC by John William
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John William 2002-10-13 15:16:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461)

Description of problem:
The boot disk kernel panics after selecting "Upgrade Existing Installation" 
when trying to install from ISO images on /dev/sda6.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot from boot floppy - select linux dd
2. Load SCSI driver module from driver disk
3. Select "Install from HD"
4. Choose /dev/sda6 as device and enter directory for ISO images
5. Select install type "Upgrade Existing System"
6. Immediate kernel panic
	

Actual Results: (retyped, so please excuse any typos)
EFLAGS: 00010006

EIP is at (2.4.18-3BOOT) elements   | <Space selects>  | <F12 next screen>
eax: 00000000  ebx: c1f2c0fc  ecx: c02908d8  edx: 000aff0c
esi: c10726d0  edi: 00000000  ebp: c1f2c084  esp: c0265f04
ds: 0018  es: 0018  ss: 0018
Process swapper (pid: 0, stackpage=c0265000)
Stack: c0265f37 c1f2c084 00000081 c282a4de c1f2c084 c1f2c084 c1f2c0fc 00000080
       c1f2c084 c1f2c0fc c0265f37 00000282 9117e33c c10749e0 04000001 0000000a
       c0265f8c c10748e0 04000001 0000000a c0265f9c c0109839 0000000a c1f2c084
Call Trace: [<c282a4de>]
[<c0109839>]
[<c0109988>]
[<c0105000>]
[<c010bea8>]
[<c0106b74>]
[<c0105000>]
[<c0106b97>]
[<c0106bd6>]


Code: 80 60 27 fe 85 f6 0f 84 9f 00 00 00 80 4e 27 02 e9 96 00 00
 <0> Kernel panic: Aiee, killing interrupt handler!
In interrupt handler - not syncing

Expected Results:  No panic.

Additional info:

HP Vectra SMP machine, currently running 7.1. Runs stock 7.1 kernel fine. 
Currently using custom built 2.4.19 kernel.

memtest86 does not find any problems. Not overclocked. 32M memory. Marked 
severity as HIGH since this problem prevents install on this machine (no CD-
ROM).

Comment 1 Arjan van de Ven 2002-10-13 16:18:48 UTC
you didn't say what driver you just loaded....

Comment 2 John William 2002-10-14 03:35:03 UTC
Loaded the "tmscsim" driver off the driver disk - this is also the same driver 
the machine normally uses. I also tried a network install, via FTP, and the 
kernel panics at the same place.

Comment 3 Bugzilla owner 2004-09-30 15:40:04 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.